"use strict";

function _toArray(arr) { return _arrayWithHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
var _require = require("../lint/eslintLintStage"),
  runEslintForDiff = _require.runEslintForDiff;
var _require2 = require("../lint/startSever-sonarQube"),
  runSonarAnalysis = _require2.runSonarAnalysis;
var _require3 = require("../utils/cliArgsToObject"),
  cliArgsToObject = _require3.cliArgsToObject;
function startAnalysis() {
  var _process$argv = _toArray(process.argv),
    action = _process$argv[2],
    option = _process$argv.slice(3);
  switch (action) {
    case 'lint':
      {
        runEslintForDiff(option)["finally"](function () {
          runSonarAnalysis(option);
        });
        break;
      }
    default:
      {
        break;
      }
  }
}
startAnalysis();