const { runEslintForDiff } = require("../lint/eslintLintStage");
const { runSonarAnalysis } = require("../lint/startSever-sonarQube");
const { cliArgsToObject } = require("../utils/cliArgsToObject");

function startAnalysis() {
  const [, , action, ...option] = process.argv;
  switch(action){
    case 'lint' : {
      runEslintForDiff(option).finally(() => {
        runSonarAnalysis(option)
      })
      break;
    }

    default :{
      break;
    }
  }
}

startAnalysis();
